Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1765877 - buildbot: Please provide EPEL8 package
Summary: buildbot: Please provide EPEL8 package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: buildbot
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1761605 1761656 1761657 1774758 1874658 1874661 1874664
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-26 22:44 UTC by Thomas Andrejak
Modified: 2021-08-12 00:32 UTC (History)
11 users (show)

Fixed In Version: buildbot-3.3.0-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-12 00:32:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Thomas Andrejak 2019-10-26 22:44:23 UTC
Description of problem:
I'm trying to update my plateform to epel8 but this package is missing. Please provide buildbot in EPEL8

If you need help, ask me :)

Thanks, regards

Comment 1 Orion Poplawski 2019-11-19 20:12:05 UTC
DEBUG util.py:593:  No matching package to install: 'python3dist(boto3)'
DEBUG util.py:593:  No matching package to install: 'python3dist(sqlalchemy-migrate) >= 0.9'
DEBUG util.py:593:  No matching package to install: 'python3dist(treq)'

Comment 3 Neal Gompa 2019-12-02 12:45:17 UTC
Orion, why did you request these without talking to me first?

Now I'm stuck with branches in a configuration I didn't want with a broken history, and I'm not even sure it's a good idea to have buildbot in EPEL right now, given how heavily the upstream project churns and the dependency on the Twisted framework (which is somewhat complex on its own...).

Comment 4 Orion Poplawski 2019-12-03 04:31:42 UTC
I'm sorry if this has caused any issues.  I branched because this bug had been open for about 3 weeks with no response.  I'm not sure I follow the "branches in a configuration I didn't want with a broken history", the standard epel8 branches were created.  If it doesn't make sense to have buildbot in EPEL8, that's fine, I'll work on a COPR instead.

Comment 5 Neal Gompa 2019-12-03 05:07:16 UTC
(In reply to Orion Poplawski from comment #4)
> I'm sorry if this has caused any issues.  I branched because this bug had
> been open for about 3 weeks with no response.  I'm not sure I follow the
> "branches in a configuration I didn't want with a broken history", the
> standard epel8 branches were created.

I've been requesting EPEL 8 branches with --no-git-branch so that I don't get the package.cfg file. That makes it so I can merge master straight into the branches.

> If it doesn't make sense to have buildbot in EPEL8, that's fine, I'll work on a COPR instead.

I'd rather have it in EPEL than living in COPR. I have been more concerned about getting buildbot's runtime dependencies into EPEL 8. It's not exactly a small list... Twisted by itself is no small feat...

I'd be happy to accept help on this, it's just weird the way this happened...

Comment 6 Thomas Andrejak 2020-01-22 07:31:41 UTC
Hello

Any updates on this ?

Thanks :)

Comment 7 Neal Gompa 2020-01-22 09:21:03 UTC
(In reply to Thomas Andrejak from comment #6)
> Hello
> 
> Any updates on this ?
> 
> Thanks :)

I have started looking into this...

Comment 8 Ben Cotton 2020-02-11 17:29:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 9 Thomas Andrejak 2020-03-04 22:37:28 UTC
Hello

any news ? Do you need help ?

Regards

Comment 10 Neal Gompa 2020-09-04 13:56:18 UTC
If you can help Orion here get the buildbot dependencies added to EPEL 8, then I'm happy to build and release buildbot for EPEL 8.

Comment 11 Ben Cotton 2021-02-09 15:13:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 12 Maxim Burgerhout 2021-03-23 14:34:31 UTC
Are all dependencies resolved at this point? Would be awesome to get buildbot on RHEL8 :)

Comment 13 Neal Gompa 2021-07-02 11:57:53 UTC
(In reply to Maxim Burgerhout from comment #12)
> Are all dependencies resolved at this point? Would be awesome to get
> buildbot on RHEL8 :)

We're missing two according to the mock build I just did:

  - nothing provides python3.6dist(cairocffi) needed by buildbot-www-3.2.0-1.el8.noarch
  - nothing provides python3.6dist(cairosvg) needed by buildbot-www-3.2.0-1.el8.noarch

These two would be provided by python-cairocffi and python-cairosvg, respectively.

Comment 14 Ben Cotton 2021-08-10 12:46:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 15 Fedora Update System 2021-08-11 04:45:02 UTC
FEDORA-EPEL-2021-9c56cda373 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-9c56cda373

Comment 16 Fedora Update System 2021-08-12 00:32:14 UTC
FEDORA-EPEL-2021-9c56cda373 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.